## Custom Error Messages

The following attribute's value will be loaded for the relative validation rule:

### data-errormessage-value-missing

- required
- groupRequired
- condRequired

```
<input type="text" data-errormessage-value-missing="Your custom error message" />
```

### data-errormessage-type-mismatch
- past
- future
- dateRange
- dateTimeRange

```
<input type="text" data-errormessage-type-mismatch="Your custom error message" />
```

### data-errormessage-pattern-mismatch
- creditCard
- equals

```
<input type="text" data-errormessage-pattern-mismatch="Your custom error message" />
```

### data-errormessage-range-underflow
- minSize
- min
- minCheckbox

```
<input type="text" data-errormessage-range-underflow="Your custom error message" />
```

### data-errormessage-range-overflow
- maxSize
- max
- maxCheckbox

```
<input type="text" data-errormessage-range-overflow="Your custom error message" />
```

### data-errormessage-custom-error

- custom
- ajax
- funcCall

```
<input type="text" data-errormessage-custom-error="Your custom error message" />
```

### data-errormessage
a generic fall-back error message

```
<input type="text" data-errormessage="Your custom error message" />
```